View Issue Details

IDProjectCategoryView StatusLast Update
0002231unrealircdpublic2005-01-17 14:31
ReporteracemiAssigned Tocodemastr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.2.2 
Target VersionFixed in Version3.2.3 
Summary0002231: Sajoin with multiple channels not working
DescriptionHello only times I does not have Unreal3.2 installs sajoin funksoniert not as admin makes I
sajoin #test,#test1,#test2
and the user comes only into first area #test to the remaining is purely it a nose or I there which wrongly installed?

Hallo erst mal Ich habe Unreal3.2 installiert der sajoin funksoniert nicht als admin mache ich sajoin Nickname #test,#test1,#test2 und der User kommt nur in erste raum rein #test an den restliche nicht ist es ein Bug oder habe ich da was falsch installiert ?
Steps To ReproduceHello only times I does not have Unreal3.2 installs sajoin funksoniert not as admin makes I
sajoin #test,#test1,#test2
and the user comes only into first area #test to the remaining is purely it a nose or I there which wrongly installed?

Hallo erst mal Ich habe Unreal3.2 installiert der sajoin funksoniert nicht als admin mache ich sajoin Nickname #test,#test1,#test2 und der User kommt nur in erste raum rein #test an den restliche nicht ist es ein Bug oder habe ich da was falsch installiert ?
Additional InformationHello only times I does not have Unreal3.2 installs sajoin funksoniert not as admin makes I
sajoin #test,#test1,#test2
and the user comes only into first area #test to the remaining is purely it a nose or I there which wrongly installed?

Hallo erst mal Ich habe Unreal3.2 installiert der sajoin funksoniert nicht als admin mache ich sajoin Nickname #test,#test1,#test2 und der User kommt nur in erste raum rein #test an den restliche nicht ist es ein Bug oder habe ich da was falsch installiert ?
TagsNo tags attached.
3rd party modules

Activities

syzop

2004-12-10 15:31

administrator   ~0008588

Das ist richtig (ein bug), ich weiß nicht was wir am besten zu tün konnen.. das multichannel support inzufugen oder das docs aktualisieren (unreal32docs*/help.conf).
(ignore my f*cked up german grammar/spelling)
**
What do you think codemastr? Should we re-add multichannel sajoin support, or just update the docs? I think this got ripped out during the joinstuff recode from <3.2 (forgot which version).

Stealth

2004-12-10 18:44

reporter   ~0008592

If multiple channels are readded, can sajoin 0 be readded.

I found sajoin 0 useful for forcing problem users to part all channels (spambots, mIRC worm crap, etc). This would be good for things the virus spamfilter does not pick up.

crazy

2004-12-11 03:17

reporter   ~0008593

Last edited: 2004-12-11 03:19

Bugz you can use SVSJOIN 0 or #0,0 :)

*edit* hmmm the 0,0 is a channel but # is not displayed *edit*

Stealth

2004-12-11 03:36

reporter   ~0008594

SVSJOIN requires one of the following:
- m_uline module.
- OperServ RAW enabled, and access to use it.
- A services package that has a SVSJOIN command (that supports "0" as a channel), and access to use it.

As far as I know, my services package has no support for SVSJOIN, and I would prefer to not give my opers access to OS RAW. I would also prefer not to give opers access to any form of ULine power with the m_uline module.

crazy

2004-12-11 04:07

reporter   ~0008595

Last edited: 2004-12-11 04:08

Well .. :P ( you can use RAW or m_uline yeahh but ..) I have a Anope modules for that .. (as I know Ircservices supports modules to).. The service and my modules will not allow join 0 but as channel with # and 0,0 :)

"-OperServ- Der Channel 0 ist ist ILLEGAL - Channels beginnen mit ein #"

"*** Global -- from OperServ: crazy|weg hat SVSJOIN benutzt um MaOaM|wech in #0,0 zu joinen."

" * ~MaOaM|wech (MaOaM@the.Party.goes.on) has left #opers (Left all channels)"

.. a modules like this is easy to do :)

*edit* grrr syzop warum wird kein # for 0,0 angezeigt ?! :P *edit*

Stealth

2004-12-11 04:19

reporter   ~0008596

Modules are nice, but they dont help when the services are down, split with another server, or a network just does not have any services.

Unreal used to let us SAJOIN to 0, and I would like to see that put back.

codemastr

2004-12-11 13:07

reporter   ~0008602

[quote]What do you think codemastr? Should we re-add multichannel sajoin support, or just update the docs? I think this got ripped out during the joinstuff recode from <3.2 (forgot which version).[/quote]

Well I suppose it should be pretty easy to add, shouldn't it? I mean it seems like we just need a strtoken loop. If that's the case, I guess it could be added.

-- Auf Deutsch:
Ich glaube das soll leicht hinsunehmen sein, ja? Es scheint, als ob wir ein strtoken-zyklische brauchen. Dieses kann hinzugefügt werden, ob das richtig ist. Und, meine Deutsche Grammatik ist auch nicht gut ;)

syzop

2004-12-11 13:29

administrator   ~0008603

Yup

crazy

2004-12-11 14:30

reporter   ~0008604

ach was :)

das ist gut genug :)

codemastr

2005-01-17 14:31

reporter   ~0008836

Added in .224

Issue History

Date Modified Username Field Change
2004-12-10 15:20 acemi New Issue
2004-12-10 15:31 syzop Note Added: 0008588
2004-12-10 15:32 syzop Status new => confirmed
2004-12-10 15:32 syzop OS epona-1.4.19 =>
2004-12-10 15:32 syzop OS Version epona-1.4.19 =>
2004-12-10 15:32 syzop Platform Unreal =>
2004-12-10 15:32 syzop Product Version 3.2 => 3.2.2
2004-12-10 15:32 syzop Build Unreal3.2.2 => (current cvs)
2004-12-10 15:32 syzop Summary Sajoin problems => Sajoin with multiple channels not working
2004-12-10 18:44 Stealth Note Added: 0008592
2004-12-11 03:17 crazy Note Added: 0008593
2004-12-11 03:17 crazy Note Edited: 0008593
2004-12-11 03:19 crazy Note Edited: 0008593
2004-12-11 03:19 crazy Note Edited: 0008593
2004-12-11 03:36 Stealth Note Added: 0008594
2004-12-11 04:07 crazy Note Added: 0008595
2004-12-11 04:08 crazy Note Edited: 0008595
2004-12-11 04:19 Stealth Note Added: 0008596
2004-12-11 13:07 codemastr Note Added: 0008602
2004-12-11 13:29 syzop Note Added: 0008603
2004-12-11 14:30 crazy Note Added: 0008604
2005-01-17 14:31 codemastr Status confirmed => resolved
2005-01-17 14:31 codemastr Fixed in Version => 3.2.3
2005-01-17 14:31 codemastr Resolution open => fixed
2005-01-17 14:31 codemastr Assigned To => codemastr
2005-01-17 14:31 codemastr Note Added: 0008836